{--------------------------------------------------------------------------
 | Copyright (C) 1992,1993,1994,1995,1996,1997 Dallas Semiconductor Corporation.
 | All rights Reserved. Printed in U.S.A.
 | This software is protected by copyright laws of
 | the United States and of foreign countries.
 | This material may also be protected by patent laws of the United States
 | and of foreign countries.
 | This software is furnished under a license agreement and/or a
 | nondisclosure agreement and may only be used or copied in accordance
 | with the terms of those agreements.
 | The mere transfer of this software does not imply any licenses
 | of trade secrets, proprietary technology, copyrights, patents,
 | trademarks, maskwork rights, or any other form of intellectual
 | property whatsoever. Dallas Semiconductor retains all ownership rights.
 |--------------------------------------------------------------------------
}
unit Aboutun; 

interface

uses
   WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
   SysUtils, Buttons, ExtCtrls, iBTMEXPW, GenGlob;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    TMEXLabel: TLabel;
    VersionList: TListBox;
    procedure FormCreate(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

{----------------------------------------------------------------------------}
{ Get the version on startup
}
procedure TAboutBox.FormCreate(Sender: TObject);
Var
   buf : array[0..200] of Char;
   i : SmallInt;
   flag : SmallInt;
begin
   Caption := PAppName + ' About';
   { clear the list of version }
   VersionList.Clear;
   { get the main version }
   Get_Version(@buf);
   VersionList.Items.Add('Main Driver: ' + StrPas(buf));
   For i := 0 to 15 Do
   Begin
      If (TMGetTypeVersion(i,@buf) > 0) Then
         VersionList.Items.Add('Type ' + IntToStr(i) + ': ' + StrPas(buf));
   End;
End;

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
   Hide;
end;

end.

